Bienvenue sur le forum de la Communauté EzCom !

En ces lieux, nous vous aidons à mettre en place et à personnaliser votre forum phpBB 3.1.x, 3.2.x, 3.3.x & 4.0.x grâce à :

Une fois inscrit.e, vous pouvez :

Dernières nouvelles :

Coup d’œil : « EzCom Blog » idéal pour trouver des conseils et des services pour son forum phpBB !

Soutenir le projet de la Communauté EzCom.

Image Tu as un forum et tu veux aussi un site web ? Regarde par ici.

Welcome on the Ezcom Community board! | English visitors, may I help you? Image | Make a donation to EzCom.

RECHERCHE : Outil de gestion de bases de données  Question traitée

Contrôler l’intégrité des données de la base de données de phpBB & choix d’un moteur de stockage MyISAM Vs InnoDB.

Assistance & documentations pour phpBB et son environnement.

Modérateurs : Traducteurs, Graphistes

Avatar de l’utilisateur
stephd
EzComien
EzComien
Messages : 15
Enregistré le : mar. 14 févr. 2017 11:38
Localisation : 85

RECHERCHE : Outil de gestion de bases de données

Messagepar stephd » lun. 18 janv. 2021 18:06

Bonjour,

je me pose la question de savoir si il existe des outils phpbb afin de vérifier la base de donnée autan pour la structure que pour les données, afin de vérifier que tout est en ordre, par rapport bien évidement a la base de donnée de base et pour une version spécifique?
La base a plus de 10ans, et a suivi divers évolution sans compter des crash et des rattrapages, des fois de fortune...
du coup pouvoir vérifier le bon fonctionnement serait un gros plus...

merci par avance

(Actuellement version 3.2.9 la version d'avant été 3.1.6)


Contenu publicitaire :

Avatar de l’utilisateur
Raphaël
Chef de projets
Chef de projets
Messages : 3057
Enregistré le : ven. 24 oct. 2014 18:02
Localisation : Marseille

RECHERCHE : Outil de gestion de bases de données

Messagepar Raphaël » mar. 19 janv. 2021 04:31

Salut,

quels symptômes te poussent à rechercher un tel outil ?

Il existe l'outil présenté sur le sujet « OUTIL : Support Toolkit (STK) - Boîte à outils d’assistance ». Dedans il y a un nettoyeur qui permet de retirer tout surplus ajouté par d'anciens MOD (sous phpBB 3.0.x) ou par les extensions (depuis phpBB 3.1.x).

Note qu'au préalable de toute action avec cet outil il est recommandé de supprimer ses extensions (les désinstaller complètement : désactivation, puis suppression des données | Inutile de supprimer les fichiers sur son FTP si tu comptes les réinstaller après ces étapes de maintenance) mais surtout d'effectuer une sauvegarde de sa base de données.

Enfin, pour la partie purement fonctionnelle de la base de données de ton forrum, l'outil de gestion de bases de données nommé phpMyAdmin et proposé la plupart du temps par les hébergeurs Web permet d'analyser, réparer puis optimiser les tables de la base de données de ton forum. Ainsi, à voir sur le compte de l'hébergement Web auquel tu as souscrit.

Image Tu as un forum et tu veux aussi un site web ? Regarde par ici.

🔍 Recherches :
Questions : ✚ Extensions présentées 🎨 Styles présentés ★ Toutes autres questions

📖 Documentations :
✍ Traductions : Demander Proposer

Avatar de l’utilisateur
stephd
EzComien
EzComien
Messages : 15
Enregistré le : mar. 14 févr. 2017 11:38
Localisation : 85

RECHERCHE : Outil de gestion de bases de données

Messagepar stephd » sam. 23 janv. 2021 17:52

Et bien depuis que je suis passé a la version 3.2.9, je rencontre diffèrent petits bugs...
De ce fait je voulais m'assurer que les tables et les champs sont bien conformes a ce que nécessite la bdd de base.
Je dis pas que cela vient de la base, mais ne pouvant le vérifier j'émets un doute possible.

Ensuite les différents bug par exemples.

Lorsque qu'on veut supprimer un message dans les mpp on a l'information suivante renvoyé : "Le formulaire envoyé n'est pas valide"
qui dit formulaire dit surement un pb dans la page de style.

Lorsqu'on veut importer et héberger une photo, certaine aucun souci, d'autre unE information d'erreur http.
Les paramètres n'ont pas, semble t il, évolué. tout fonctionné bien avant le changement.
En mem temps il y a eu changement d'hébergeur, d'un serveur dédié on est passé a o2switch, du coup difficile de savoir quel curseur bougé, est ce un bug sur le forum, sur la bdd ou sur l'hébergeur ..

Autre exemple on utilise l'extension thanks for post qui fonctionnait bien avant, là il y a des messages d'erreurs issue de la bdd.... en fouillant j'ai noté que les 2 lignes dans la bdd n'avait pas de numéro d'incrément dans l'id de la table notification...j'ai corrigé en dur, mais toujours des bugs..
j'ai testé la version plus récente, mais toujours des bugs.

Pour l'extension je regarderais plus tard, mais dans l'immédiat, j'aimerais comprendre les différents autre petit bugs de phpbb.

voila donc ce uqi me faisait penser a déjà m'assurer que la bdd est en phase, histoire, d'éliminer au fur et à mesure des source de probléme.

Oui phpmyadmin, pas de souci pour l'utiliser, mon approche était différente, car coté phpmyadmin la bdd est ok, ca ne veut pas dire quelle est ok pour phpbb.

Voili, voilou...


Avatar de l’utilisateur
Raphaël
Chef de projets
Chef de projets
Messages : 3057
Enregistré le : ven. 24 oct. 2014 18:02
Localisation : Marseille

RECHERCHE : Outil de gestion de bases de données

Messagepar Raphaël » sam. 23 janv. 2021 19:13

Il est toujours préférable de rapporter les erreurs rencontrées au préalable, merci de nous les partager.

stephd a écrit :Source du message Lorsque qu'on veut supprimer un message dans les mp on a l'information suivante renvoyé : "Le formulaire envoyé n'est pas valide"
qui dit formulaire dit surement un pb dans la page de style.

Peut-être un problème dans les fichiers du style utilisés qui ne sont par à jour. Aussi, as-tu comparé avec le style par défaut : prosilver ?

Il est possible que ce soit un problème de session, donc voir avec la configuration des cookies dans le PCA, si HTTPS est activé voir .
Cela peut être un problème avec le contenu du fichier ./.htaccess, tu peux nous partager son contenu.
Cela peut concerner une extension installée, aussi tu peux toutes les désactiver pour comparer.

stephd a écrit :Source du message Lorsqu'on veut importer et héberger une photo, certaine aucun souci, d'autre unE information d'erreur http.
Les paramètres n'ont pas, semble t il, évolué. tout fonctionné bien avant le changement.
En mem temps il y a eu changement d'hébergeur, d'un serveur dédié on est passé a o2switch, du coup difficile de savoir quel curseur bougé, est ce un bug sur le forum, sur la bdd ou sur l'hébergeur ..

Obtenir le message exact de l'erreur HTTP rencontrée par les membres pourrait être un plus.

Cela peut être un problème avec le contenu du fichier ./.htaccess, tu peux nous partager son contenu.

stephd a écrit :Source du message Autre exemple on utilise l'extension thanks for post qui fonctionnait bien avant, là il y a des messages d'erreurs issue de la bdd.... en fouillant j'ai noté que les 2 lignes dans la bdd n'avait pas de numéro d'incrément dans l'id de la table notification...j'ai corrigé en dur, mais toujours des bugs..
j'ai testé la version plus récente, mais toujours des bugs.

Alors supprime-la complètement (la désinstaller) puis tu la réinstalles pour comparer.

stephd a écrit :Source du message voila donc ce uqi me faisait penser a déjà m'assurer que la bdd est en phase, histoire, d'éliminer au fur et à mesure des source de probléme.

Oui phpmyadmin, pas de souci pour l'utiliser, mon approche était différente, car coté phpmyadmin la bdd est ok, ca ne veut pas dire quelle est ok pour phpbb.

Si elle a été exportée correctement elle sera identique en tout point sur le nouvel hébergement, dans le cas contraire oui il y a aura des altérations. Quelle a été la méthode pour l'exporter puis la réimporter durant le transfert d'hébergement ?

Image Tu as un forum et tu veux aussi un site web ? Regarde par ici.

🔍 Recherches :
Questions : ✚ Extensions présentées 🎨 Styles présentés ★ Toutes autres questions

📖 Documentations :
✍ Traductions : Demander Proposer

Avatar de l’utilisateur
stephd
EzComien
EzComien
Messages : 15
Enregistré le : mar. 14 févr. 2017 11:38
Localisation : 85

RECHERCHE : Outil de gestion de bases de données

Messagepar stephd » dim. 7 févr. 2021 17:18

Bonjour Raphaël et merci de tes réponses.

Donc concernant le problème 1 : suppression des mp.

Alors j'ai testé avec un autre style officiel + purge cache, sachant que celui utilisé est le même mais dans le doute.
donc ne vient pas du style. J'en a profité pour remplacer tous les .htaccess et toujours le souci
et pas d'erreur particuliere remontée a part

erreur phpbb.PNG
erreur phpbb.PNG (3.36 Kio) Vu 2855 fois


.htaccess de la racine du forum

Code : Tout sélectionner

<IfModule mod_rewrite.c>
RewriteEngine on

#
# Uncomment the statement below if URL rewriting doesn't
# work properly. If you installed phpBB in a subdirectory
# of your site, properly set the argument for the statement.
# e.g.: if your domain is test.com and you installed phpBB
# in http://www.test.com/phpBB/index.php you have to set
# the statement RewriteBase /phpBB/
#
#RewriteBase /

#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]

#
# The following 3 lines will rewrite URLs passed through the front controller
# to not require app.php in the actual URL. In other words, a controller is
# by default accessed at /app.php/my/controller, but can also be accessed at
# /my/controller
#
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ app.php [QSA,L]

#
# If symbolic links are not already being followed,
# uncomment the line below.
# http://anothersysadmin.wordpress.com/2008/06/10/mod_rewrite-forbidden-403-with-apache-228/
#
#Options +FollowSymLinks
</IfModule>

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from
# module mod_authz_host to a new module called mod_access_compat (which may be
# disabled) and a new "Require" syntax has been introduced to mod_authz_host.
# We could just conditionally provide both versions, but unfortunately Apache
# does not explicitly tell us its version if the module mod_version is not
# available. In this case, we check for the availability of module
# mod_authz_core (which should be on 2.4 or higher only) as a best guess.
<IfModule mod_version.c>
   <IfVersion < 2.4>
      <Files "config.php">
         Order Allow,Deny
         Deny from All
      </Files>
      <Files "common.php">
         Order Allow,Deny
         Deny from All
      </Files>
   </IfVersion>
   <IfVersion >= 2.4>
      <Files "config.php">
         Require all denied
      </Files>
      <Files "common.php">
         Require all denied
      </Files>
   </IfVersion>
</IfModule>
<IfModule !mod_version.c>
   <IfModule !mod_authz_core.c>
      <Files "config.php">
         Order Allow,Deny
         Deny from All
      </Files>
      <Files "common.php">
         Order Allow,Deny
         Deny from All
      </Files>
   </IfModule>
   <IfModule mod_authz_core.c>
      <Files "config.php">
         Require all denied
      </Files>
      <Files "common.php">
         Require all denied
      </Files>
   </IfModule>
</IfModule>



Concernant le probléme 2:

Le fait d'avoir remis tous les .htaccess semble avoir corrigé le problème

le problème 3 :

Effectivement désinstallé complètement, enfin pas complètement car j'aimerai bien garder l'historique des remerciement dans la bdd.
donc il faut que je teste sur un forum de test. J'ai juste enlevé l'extension dans l'immediat.
Autre point peut être lié, j'ai beaucoup d'erreur 508 et en consultant l'hébergeur et le panneau cpanel , on s'aperçois de beaucoup de requête sql lancée sur la base de donnée....c'est aléatoire, mais beaucoup de requêtes vides. Je viens d'activer le debug sur le forum afin de voir ce qui peut se passer. Et bizarrement, pas mal de requête autour des notifications.

Le dernier point: On est d'accord qu'on pourrait penser qu'il n y ai pas de raison que cela se soit passer autrement que bien...
mais par expérience je sais que tout ne va pas toujours bien, et qu'on a pas toujours les remontés d'erreurs, et que des fois rien ne vaut une bonne verif.

J'ai importé la bdd depuis un fichier sql , que j'avais exporté en sql depuis l'ancien phpmyadmin, a vrai dire facon normal, sachant que je le fait par ailleurs pour Wordpress sans souci apparent.
Mais comme dit, la base a tellement de vécu, a subi 2 précèdent crash, 2 ou 3 transfert d'hébergement, issue de phpbb 2 ...
Du coup je vais exporter la structure de la bdd et la bdd d'un phpbb3.2.9 propre et comparer les structures ca me donnera une idée.


Avatar de l’utilisateur
Raphaël
Chef de projets
Chef de projets
Messages : 3057
Enregistré le : ven. 24 oct. 2014 18:02
Localisation : Marseille

RECHERCHE : Outil de gestion de bases de données

Messagepar Raphaël » lun. 8 févr. 2021 03:11

stephd a écrit :Source du message Donc concernant le problème 1 : suppression des mp.

Ce problème est corrigé dans phpBB 3.2.10. Aussi, je t'invite à mettre à jour ton forum vers la dernière version 3.2.11. Pour information, phpBB 3.2.x ne sera plus supporté au printemps de cette année.

stephd a écrit :Source du message .htaccess de la racine du forum


Note : Si tu migres vers phpBB 3.3.x, ton fichier ./.htaccess provenant de phpBB 3.2.x devra être mis à jour, via l'ajout de cette portion de code : message de « Raphaël » du sujet « DÉVELOPPEMENT : phpBB 3.2.x, 3.3.x & 4.0.x ». A placer entre :

Code : Tout sélectionner


#Options +FollowSymLinks
</IfModule>

Et :

Code : Tout sélectionner

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from


Tout comme ton fichier ./config.php qui devra être mis à jour comme indiqué ici : message de « Raphaël » du sujet « DÉMARCHE : de mise à jour de phpBB 3.2.x & 3.3.x ».

stephd a écrit :Source du message Le dernier point
Ce qui me parait important c'est de mettre à jour son outil pour écarter toute erreur provenant des versions précédentes de la dernière version de phpBB.

Image Tu as un forum et tu veux aussi un site web ? Regarde par ici.

🔍 Recherches :
Questions : ✚ Extensions présentées 🎨 Styles présentés ★ Toutes autres questions

📖 Documentations :
✍ Traductions : Demander Proposer

Avatar de l’utilisateur
stephd
EzComien
EzComien
Messages : 15
Enregistré le : mar. 14 févr. 2017 11:38
Localisation : 85

RECHERCHE : Outil de gestion de bases de données

Messagepar stephd » mar. 9 févr. 2021 06:09

Oui mettre à jour , bien sûr mais avant je veux m'assurer d'une "stabilité" de l'ensemble.
Certes une montée de version va corriger certain bugs, mais pas tout.
J'ai donc comparé la structure de ma base de donnée, avec une bdd de phpbb3.2.9 de base.

et je note des disparités.

Déjà toute les tables de ma base sont en :

Code : Tout sélectionner

Engine=MyISAM

Code : Tout sélectionner

alors que la php3.2.9 sont en InnoDB

A ce stade je ne connais pas l'incidence.

Ensuite j'ai des tables dans ma BDD qui ont plus de champs, je dirais que qui peut le plus peut le moins, donc là pas critique , juste pas utilisé, ou certain pour des mods

Ensuite je note quelques différence de paramètre entre certain champs.
et je note aussi dans champs manquants dans ma bdd comparé à la 3.2.9. Ainsi que des champs avec des paramètre différents

Voila un tableau recap des écarts:

tableau différences.PNG


un exemple d'écart de champs avec des paramètres différents:(pris au hasard)

php3.2.9 :

Code : Tout sélectionner

  `teampage_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,


Ma base

Code : Tout sélectionner

  `teampage_id` mediumint(8) unsigned NOT NULL,



un exemple d'écart pour les paramètres de table:
Phpbb 3.2.9:

Code : Tout sélectionner

 ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



Ma base

Code : Tout sélectionner

 ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


Je me dis qu'a ce stade l'urgence serait de corriger les champs avec para diffèrents et champs manquants.

Tu en penses quoi?


Avatar de l’utilisateur
Raphaël
Chef de projets
Chef de projets
Messages : 3057
Enregistré le : ven. 24 oct. 2014 18:02
Localisation : Marseille

RECHERCHE : Outil de gestion de bases de données  Question traitée

Messagepar Raphaël » mar. 9 févr. 2021 06:53

Tu peux trouver des explications sur les différences entre ces deux moteurs de stockage : https://setra-conseil.com/blog/myisam-vs-innodb/. MyISAM est plus rapide en écriture que InnoDB mais ce dernier apporte des avantages sur l'intégrité des données par rapport à MyISAM.

Je pense que ce ne sera pas un mal de réguler ce qui te parait manquant, de là à résoudre tes soucis je n'y crois pas car tu aurais déjà rencontré des erreurs précisant l'endroit où le code rencontre un problème avec des champs, des tables incomplètes voire manquantes.

Image Tu as un forum et tu veux aussi un site web ? Regarde par ici.

🔍 Recherches :
Questions : ✚ Extensions présentées 🎨 Styles présentés ★ Toutes autres questions

📖 Documentations :
✍ Traductions : Demander Proposer

Contenu publicitaire :


  • Sujets similaires
    Réponses
    Vues
    Dernier message
  • EXTENSION : JV Privacy Policy and data management tool - Outils de gestion de données et de la Politique de vie privée Fichier(s) joint(s)
    par Raphaël » jeu. 16 août 2018 23:10 » dans Extensions présentées & traduites
    3
    28078
    par Raphaël
    jeu. 6 sept. 2018 18:51
  • RECHERCHE : Outil pour traduire sous Notepad++ Fichier(s) joint(s)
    par hamidouki-dz » lun. 28 mai 2018 04:12 » dans Support pour phpBB
    3
    20661
    par hamidouki-dz
    lun. 28 mai 2018 23:56
  • RECHERCHE : Outil pour afficher le contenu des fichiers PDF
    par hamidouki-dz » jeu. 28 juin 2018 14:27 » dans Support pour phpBB
    2
    22514
    par Raphaël
    mer. 1 août 2018 04:26
  • CONFIGURATION : Déconnexion du forum & recherche d’outil pour supprimer son compte Fichier(s) joint(s)
    par hamidouki-dz » ven. 9 nov. 2018 15:49 » dans Support pour phpBB
    10
    29197
    par Raphaël
    mar. 5 mai 2020 16:18
  • EXTENSION : Advertisement Management - Gestion des publicités Fichier(s) joint(s)
    par Raphaël » sam. 24 juin 2017 23:06 » dans Extensions présentées & traduites
    27
    45011
    par Raphaël
    dim. 19 avr. 2020 22:26
  • OUTIL: phpBB QuickInstall - Installations rapides de phpBB Fichier(s) joint(s)
    par Raphaël » lun. 26 juin 2017 05:17 » dans Extensions présentées & traduites
    6
    21961
    par Raphaël
    mar. 24 mars 2020 17:23

Retourner vers « Support pour phpBB »

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 0 invité